@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

html {
  overscroll-behavior-y: none;
}

body {
  font-family: "Open Sans", sans-serif;
  color: #1E1F24;
  background: #FEFFFD;
  overscroll-behavior-y: none;
  background-image: url('/src/img/back.png') !important;
  background-position: center;
  background-size: cover;
}

.preloader {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  background-image: url('/src/img/back.png') !important;
  background-position: center;
  background-size: cover;
  align-items: center;
  justify-content: center;
  
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  transition: all .3s ease-in-out;
}

.preloader img {
  width: 100%;
}

.preloader p {
    margin: 0px 0px;
    position: absolute;
    color: #000 !important;
    top: 50px;
    font-size: 24px;
    font-weight: 700;
    text-align: center;
    z-index: 100;
}

.preloader.active {
  opacity: 1;
  visibility: visible;
  z-index: 100000;
}

.app {
  height: 100%;
}

.app-block {
  min-height: 100vh;
  max-height: 100vh;
  overflow-x: auto;
  padding: calc((1.5rem * .5) * 2) calc(1.5rem * .5) calc(90px - (1.5rem * .5)) calc(1.5rem * .5);
  box-shadow: 0px -60px 25px 0px rgba(255, 255, 255,  50%) inset;
}

.slider-item img {
  width: 100%;
}

.glass {
  background: rgba(255, 255, 255, 0.2);
  border-radius: 12px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  padding: calc(1.5rem * .5);
}
.glass--no-pad {
  padding: 0px;
}
.glass--over {
  overflow: hidden;
}

.main-block {
  margin: 0px 0px calc((1.5rem * .5) * 2) 0px;
}
.main-block-title {
  font-size: 16px;
  font-weight: 700;
  margin: 0px 0px 5px 0px;
}
.main-block-content {
  font-size: 14px;
}

.footer-menu {
  position: fixed;
  display: flex;
  bottom: 30px;
  width: 275px;
  background-color: #fff;
  padding: 3px 4px;
  align-items: center;
  justify-content: space-between;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 12px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  left: calc(50% - (275px / 2));
}
.footer-menu-item {
  font-size: 12px;
  border: none;
  background-color: transparent;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: all .3s ease-in-out;
}
.footer-menu-item.active {
  background-color: #ffffff69;
  border-radius: 10px;
}
.footer-menu-item svg {
  width: 20px;
  height: auto;
}
.footer-menu-item img {
  border-radius: 100%;
  width: 20px;
  height: auto;
}